from machine import Pin, ADC # Importem llibreria i funcions
from time import sleep_ms # Importem llibreria i funcio

xpin = ADC(Pin(36)) # Emprarem ADC "analog to digital conversion" al pin 36
xpin.atten(ADC.ATTN_11DB)  # Voltatge max: 3.3v llavors eixida sera 4095
ypin = ADC(Pin(35)) # Emprarem ADC "analog to digital conversion" al pin 35
ypin.atten(ADC.ATTN_11DB)  # Voltatge max: 3.3v llavors eixida sera 4095
zpin = ADC(Pin(34)) # Emprarem ADC "analog to digital conversion" al pin 34
zpin.atten(ADC.ATTN_11DB)  # Voltatge max: 3.3v llavors eixida sera 4095

#Definició de constants
zero_G=2047.5 # El rang de ADC és 0-4095 la sortida zero_g equival a Vs/2
zero_Gx =  1604.33# Valor tret per calibració amb l’acceleròmetre parat
zero_Gy =  2039.24 # Valor tret per calibració amb l’acceleròmetre parat
zero_Gz =  1697.16 # Valor tret per calibració amb l’acceleròmetre parat
escala=409.5 # ADXL335 sensitivitat es 330 mv/g (0.33 v/g) llavors escala= 4095*0.33/3.3


for x in range(1, 1000): # Repetim un cicle 1000 vegades = 10 segons
    print("  " ) # Liniea en Blanc
    
    x = xpin.read() # llegim xpin.read() i ho guardem en la variable x
    ax=(x-zero_Gx)/escala # Calcul del valor acceleracio en x
    y = ypin.read() # llegim ypin.read() i ho guardem en la variable y
    ay=(y-zero_Gy)/escala # Calcul del valor acceleracio en x
    z = zpin.read() # llegim zpin.read() i ho guardem en la variable z   
    az=(z-zero_Gz)/escala # Calcul del valor acceleracio en z
    print(ax, ay, az , " m/s2")
    sleep_ms(10) # Parem el temps 10 mil·lisegons 

